﻿body, html {
	margin: 0;
    padding:0;
	height: 100%;
}

/* COMMON STYLES*/
.view-content {
    margin: 0;
    height: 100%;
}

.view {
    margin: 0;
    height: 100%;
}

#userinput {
    width: 100%;
    border: 1px solid blue;
}


.view-content h1 {
	color: #42454a;
	font-size: 1.8em;
}

.view-content h1.welcome {
	text-align: center;
}

.view-content h3 {
	color: #42454a;
	font-size: 1.1em;
}

.view-content p {
	color: #4a4e54;
	font-size: 1em;
}

/* IMAGE STYLES*/
.img {
	background-image: url(../styles/images/icenium.png);
	background-repeat: no-repeat;
	text-align: center;
	width: 320px;
	height: 193px;
	margin: 0px auto;
}

.logo {
	background-image: url(../styles/images/logo.png);
	background-repeat: no-repeat;
	width: 85px;
	height: 60px;
	margin: 40px auto;
}

/* BUTTON STYLES*/
.buttonArea {
	text-align: center;
}

/* BUTTON STYLES*/
.buttonAreaHome {
	text-align: center;
    width:98%;
}

.login-button {
	width: 50%;
	max-width: 300px;
	font-size: .9em;
	-webkit-appearance: none;
}

#main_pane_logo {
  margin-left: auto ;
  margin-right: auto ;
}

#main_pane {
    position:absolute;
    top:120px;right:0;bottom:0;left:0;
    z-index: 0;
    margin-left: auto;
    margin-right: auto;
    width:98%;
    height: 100%;
    border:1px solid #cccccc;
    background-repeat:no-repeat;
    background-position:center center;
    background-size: 100% auto;
}

/* MAP STYLES*/
#no-map {
	position: absolute;
	margin: 0 auto;
	top: 40%;    
	text-align: center;
}

#map-canvas {
	position: absolute;
	top: 0;
	bottom: 0;
	left: 0;
	right: 0;
}

#map-search-wrap {
	position: absolute;
	z-index: 10;
	background-color: rgba(0, 0, 0, 0.5);
	padding: 3px;
	box-sizing: border-box;
	-webkit-box-sizing: border-box;
}

#map-address {
	position: absolute;
	left: 0;
	right: 0;
	margin: 3px 50px 0px 50px;
	background-color: #fff;
	font-style: italic;
	color: #000;
	padding: 7px 10px;
	border-radius: 3em;
	border-width: 1px;
	border-style: solid;
	border-color: rgb(180, 180, 180);
	border-bottom-color: rgb(255, 255, 255);
	box-shadow: 0 -1px 0 #3C3C3C;
	-moz-background-clip: border-box;
	-webkit-background-clip: border-box;
	background-clip: border-box;
}

#map-search {
	float: right;
	width: 40px;
	height: 40px;
	color: #fff;
	border: none;
	background: none;
	background-image: url(../styles/images/search.png);
	background-repeat: no-repeat;
	background-position: center center;
}

#map-search:active {
	background-image: url(../styles/images/search_active.png);
	background-repeat: no-repeat;
}

#map-navigate-home {
	float: left;
	width: 40px;
	height: 40px;
	color: #fff;
	border: none;
	background: none;
	background-image: url(../styles/images/location.png);
	background-repeat: no-repeat;
	background-position: center center;
}

#map-navigate-home:active {
	background-image: url(../styles/images/location_active.png);
	background-repeat: no-repeat;
}


.position-left {
	float: left;
}

.position-right {
	float: right;
}

.position.center {
	position: absolute;
	margin: 0 auto;
	width: 100%;
}

/* DEVICE SPECIFIC STYLES*/
#skin-change {
	position: absolute;
	right: 10px;
	top: 10px;
}

.km-ios .km-listview-wrapper .km-listinset li {
	background-color: #fff;
	border-color: #ababab;
}

.km-ios .km-view .km-content {
	background-image: none;
	background: #f0f0f0;
}

.km-tablet .km-ios .km-navbar .km-view-title {
	color: #000;
	text-shadow: 0 -1px rgba(255,255,255,0.3);
}

.km-android .view-content h1 {
	color: #8a8b8f;
}

.km-android .view-content p,
.km-android .view-content h3 {
	color: #2e5968;
}

.km-android .weather-info.temperature.low {
	color: #2e5968;
}

.km-ios .km-view .weather {
	background: #5fb4ed; /* Old browsers */
	background: -moz-linear-gradient(top, #5fb4ed 0%, #0076c5 74%); /* FF3.6+ */
	background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,#5fb4ed), color-stop(74%,#0076c5)); /* Chrome,Safari4+ */
	background: -webkit-linear-gradient(top, #5fb4ed 0%,#0076c5 74%); /* Chrome10+,Safari5.1+ */
	background: -o-linear-gradient(top, #5fb4ed 0%,#0076c5 74%); /* Opera 11.10+ */
	background: -ms-linear-gradient(top, #5fb4ed 0%,#0076c5 74%); /* IE10+ */
	background: linear-gradient(to bottom, #5fb4ed 0%,#0076c5 74%); /* W3C */
}
.km-ios7 .km-view .weather,
.km-flat .km-view .weather {
	background: #b0b0b0;
}

.km-flat .km-list > li {
	box-shadow: none;
}

.km-ios .km-list > li,
.km-flat .km-list > li {
	background: none;
	border: none;
}

/* Separator Style*/
.separator > .dark {
	background: -moz-linear-gradient(left, rgba(0,0,0,0) 0%, rgba(0,0,0,0.2) 30%, rgba(0,0,0,0.2) 50%, rgba(0,0,0,0.2) 70%, rgba(0,0,0,0) 100%);
	background: -webkit-gradient(linear, left top, right top, color-stop(0%,rgba(0,0,0,0)), color-stop(30%,rgba(0,0,0,0.2)), color-stop(50%,rgba(0,0,0,0.2)), color-stop(70%,rgba(0,0,0,0.2)), color-stop(100%,rgba(0,0,0,0)));
	background: -webkit-linear-gradient(left, rgba(0,0,0,0) 0%,rgba(0,0,0,0.2) 30%,rgba(0,0,0,0.2) 50%,rgba(0,0,0,0.2) 70%,rgba(0,0,0,0) 100%);
	background: -o-linear-gradient(left, rgba(0,0,0,0) 0%,rgba(0,0,0,0.2) 30%,rgba(0,0,0,0.2) 50%,rgba(0,0,0,0.2) 70%,rgba(0,0,0,0) 100%);
	background: -ms-linear-gradient(left, rgba(0,0,0,0) 0%,rgba(0,0,0,0.2) 30%,rgba(0,0,0,0.2) 50%,rgba(0,0,0,0.2) 70%,rgba(0,0,0,0) 100%);
	background: linear-gradient(to right, rgba(0,0,0,0) 0%,rgba(0,0,0,0.2) 30%,rgba(0,0,0,0.2) 50%,rgba(0,0,0,0.2) 70%,rgba(0,0,0,0) 100%);
	height: 1px;
	border: none;
	width: 100%;
	opacity: 0.3;
}

.separator > .light {
	background: -moz-linear-gradient(left, rgba(255,255,255,0) 0%, rgba(255,255,255,1) 50%, rgba(255,255,255,0) 100%);
	background: -webkit-gradient(linear, left top, right top, color-stop(0%,rgba(255,255,255,0)), color-stop(50%,rgba(255,255,255,1)), color-stop(100%,rgba(255,255,255,0)));
	background: -webkit-linear-gradient(left, rgba(255,255,255,0) 0%,rgba(255,255,255,1) 50%,rgba(255,255,255,0) 100%);
	background: -o-linear-gradient(left, rgba(255,255,255,0) 0%,rgba(255,255,255,1) 50%,rgba(255,255,255,0) 100%);
	background: -ms-linear-gradient(left, rgba(255,255,255,0) 0%,rgba(255,255,255,1) 50%,rgba(255,255,255,0) 100%);
	background: linear-gradient(to right, rgba(255,255,255,0) 0%,rgba(255,255,255,1) 50%,rgba(255,255,255,0) 100%);
	height: 1px;
	border: none;
	width: 100%;
	opacity: 0.3;
}

/* RETINA DISPLAY STYLES*/
@media only screen and (-webkit-min-device-pixel-ratio: 2),(min-resolution: 192dpi) {
	.img {
		background-image: url(../styles/images/icenium2x.png);
		background-repeat: no-repeat;
		background-size: 100%;
	}

	.logo {
		background-image: url(../styles/images/logo2x.png);
		background-repeat: no-repeat;
		background-size: 100%;
	}

	#map-search {
		background-image: url(../styles/images/search2x.png);
		background-repeat: no-repeat;
		background-size: 100%;
	}

	#map-search:active {
		background-image: url(../styles/images/search_active2x.png);
		background-repeat: no-repeat;
		background-size: 100%;
	}

	#map-navigate-home {
		background-image: url(../styles/images/location2x.png);
		background-repeat: no-repeat;
		background-size: 100%;
	}

	#map-navigate-home:active {
		background-image: url(../styles/images/location_active2x.png);
		background-repeat: no-repeat;
		background-size: 100%;
	}

	.weather-icon {
		background-image: url(../styles/images/sprite-weather2x.png);
		background-repeat: no-repeat;
		background-size: 100%;
	}
}
